# QuickHashIntSet::saveToString

(PECL quickhash >= Unknown)

QuickHashIntSet::saveToString — This method returns a serialized version of the set

### Description

public QuickHashIntSet::saveToString ( void ) : string

This method returns a serialized version of the set in the same format that loadFromString() can read.

### Return Values

This method returns a string containing a serialized format of the set. Each element is stored as a four byte value in the Endianness that the current system uses.

### Examples

Example #1 QuickHashIntSet::saveToString() example

`<?php
$set = new QuickHashIntSet( 1024 );
var_dump( $set->exists( 4 ) );
var_dump( $set->add( 4 ) );
var_dump( $set->exists( 4 ) );
var_dump( $set->add( 4 ) );
var_dump( $set->saveToString() );
?>`